### Method

# Foundry Intent dup_attribute_string

since: 1.1

#### Declaration [src]

    char*
    foundry_intent_dup_attribute_string (
      FoundryIntent* self,
      const char* attribute
    )

#### Description [src]

Gets the attribute value as a string. The returned string is owned by the intent and should not be modified or freed.

Available since: 1.1

#### Parameters

`attribute`

  Type: `const char*`

  The attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

The string value, or `NULL` if not found or not a string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.